<?php

declare(strict_types=1);

namespace App\Service;

use Doctrine\ORM\EntityManager;
use Psr\Container\ContainerInterface;

class AwardeeManagerFactory
{
    public function __invoke(ContainerInterface $container) : AwardeeManager
    {
        $entityManager = $container->get(EntityManager::class);
        return new AwardeeManager($entityManager);
    }
}
